Last Comment Bug 480745 - Remove XP_MAC from mozilla/security
: Remove XP_MAC from mozilla/security
Status: RESOLVED FIXED
[psm-easy]
:
Product: Core
Classification: Components
Component: Security: PSM (show other bugs)
: unspecified
: PowerPC Mac System 9.x
: -- normal (vote)
: mozilla17
Assigned To: Ludovic Hirlimann [:Usul]
:
:
Mentors:
http://mxr.mozilla.org/security/searc...
Depends on:
Blocks: 281889 703834
  Show dependency treegraph
 
Reported: 2009-02-28 13:23 PST by Jonathan Steele
Modified: 2012-08-17 05:29 PDT (History)
7 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Proposed patch based on the mxr query (4.31 KB, patch)
2011-05-04 00:53 PDT, Ludovic Hirlimann [:Usul]
no flags Details | Diff | Splinter Review
Remove XP_MAC from security/ [v2: v1 merged to tip] (4.34 KB, patch)
2011-12-03 15:20 PST, Brian Smith (:briansmith, :bsmith, use NEEDINFO?)
brian: review+
kaie: superreview+
Details | Diff | Splinter Review

Description Jonathan Steele 2009-02-28 13:23:03 PST

    
Comment 1 Nelson Bolyard (seldom reads bugmail) 2009-02-28 19:18:41 PST
Notes:
1. We're talking about removing XP_MAC, not XP_MACOSX
2. XP_MAC code is code for the old pre-OSX versions of MacOS
3. The code must be removed from the right repositories.
   For NSPR and NSS, the CVS repository is still the master upstream 
   repository.
4. According to 
> http://mxr.mozilla.org/security/search?string=XP_MAC&case=on&find=mozilla%2Fsecurity%2F&findi=&filter=XP_MAC%5Cb&hitlimit=&tree=security
all the remaining occurrences of XP_MAC are in PSM, not in NSS, 
so I am reassigning this bug to PSM.
Comment 2 Nelson Bolyard (seldom reads bugmail) 2009-02-28 19:20:33 PST
To clarify, according to that URL in the previous comment, all the remaining 
occurrences of XP_MAC under mozilla/security are in PSM, not in NSS.
Comment 3 Ludovic Hirlimann [:Usul] 2011-05-04 00:53:36 PDT
Created attachment 529942 [details] [diff] [review]
Proposed patch based on the mxr query

Removing XP_Mac , based on mxr queries.
Comment 4 Ludovic Hirlimann [:Usul] 2011-10-24 00:56:58 PDT
Bryan, review ping
Comment 5 Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2011-12-03 15:20:27 PST
Created attachment 578863 [details] [diff] [review]
Remove XP_MAC from security/ [v2: v1 merged to tip]
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-08-16 14:36:50 PDT
Pushing without Try results since this is dead code removal. Note that the code in nsNSSIOLayer.cpp was already removed elsewhere in the last 8 months.

https://hg.mozilla.org/integration/mozilla-inbound/rev/b15957ea2fba

Ludovic, to make life easier in the future, please make sure that your hg is configured to generate all the needed metadata for checkin. Thanks!
https://developer.mozilla.org/en-US/docs/Creating_a_patch_that_can_be_checked_in
Comment 7 Ryan VanderMeulen [:RyanVM] 2012-08-16 16:37:35 PDT
(In reply to Ryan VanderMeulen from comment #6)
> Pushing without Try results since this is dead code removal. Note that the
> code in nsNSSIOLayer.cpp was already removed elsewhere in the last 8 months.
> 

Well, that was clearly a bad decision. This lit up the tree nicely. Try next time kthxbye. Bustage fix.
https://hg.mozilla.org/integration/mozilla-inbound/rev/ef116cb88c2a
Comment 8 Ludovic Hirlimann [:Usul] 2012-08-16 23:48:46 PDT
(In reply to Ryan VanderMeulen from comment #6)
> Pushing without Try results since this is dead code removal. Note that the
> code in nsNSSIOLayer.cpp was already removed elsewhere in the last 8 months.
> 
> https://hg.mozilla.org/integration/mozilla-inbound/rev/b15957ea2fba
> 
> Ludovic, to make life easier in the future, please make sure that your hg is
> configured to generate all the needed metadata for checkin. Thanks!
> https://developer.mozilla.org/en-US/docs/
> Creating_a_patch_that_can_be_checked_in

I would if this wasn't cvs code :-)
Comment 9 Ludovic Hirlimann [:Usul] 2012-08-16 23:49:24 PDT
Oups my bad.

Note You need to log in before you can comment on or make changes to this bug.